Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.portal.resolver.opensearch
Enum DefaultOpenSearchContentHandler.SYNDICATION_RIGHT

    java.lang.Object
      java.lang.Enum<DefaultOpenSearchContentHandler.SYNDICATION_RIGHT>
          com.ibm.portal.resolver.opensearch.DefaultOpenSearchContentHandler.SYNDICATION_RIGHT

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DefaultOpenSearchContentHandler.SYNDICATION_RIGHT>

Enclosing interface:
  DefaultOpenSearchContentHandler

    public static enum DefaultOpenSearchContentHandler.SYNDICATION_RIGHT

extends java.lang.Enum<DefaultOpenSearchContentHandler.SYNDICATION_RIGHT>

The syndication right enum

Enum Constant Summary
`CLOSED`
`LIMITED`
`OPEN`
`PRIVATE`

Method Summary
`static DefaultOpenSearchContentHandler.SYNDICATION_RIGHT` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DefaultOpenSearchContentHandler.SYNDICATION_RIGHT[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CLOSED

    public static final DefaultOpenSearchContentHandler.SYNDICATION_RIGHT CLOSED

### LIMITED

    public static final DefaultOpenSearchContentHandler.SYNDICATION_RIGHT LIMITED

### OPEN

    public static final DefaultOpenSearchContentHandler.SYNDICATION_RIGHT OPEN

### PRIVATE

    public static final DefaultOpenSearchContentHandler.SYNDICATION_RIGHT PRIVATE

Method Detail

### values

    public static DefaultOpenSearchContentHandler.SYNDICATION_RIGHT[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DefaultOpenSearchContentHandler.SYNDICATION_RIGHT c : DefaultOpenSearchContentHandler.SYNDICATION_RIGHT.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DefaultOpenSearchContentHandler.SYNDICATION_RIGHT valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD